import j from "@normalized:N&&&analytics/src/main/ets/f&2.3.1";
import m from "@normalized:N&&&analytics/src/main/ets/g/h&2.3.1";
import o from "@normalized:N&&&analytics/src/main/ets/i&2.3.1";
export class Analytics {
    static initialize(config, context) {
        return j.t().initialize(config, context);
    }
    static mainInstance() {
        let u = j.t().u();
        if (!u) {
            return new o();
        }
        return u;
    }
    static set logEnable(value) {
        m.setEnable(value, "WA");
    }
    static registerLogCallback(t) {
        m.registerCallback(t);
    }
    static setFileLog(ctx) {
        m.localLogFileName(ctx, "WA");
    }
    static releaseLogHandle() {
        m.release();
    }
    static getInstance(identifier) {
        return j.t().getInstance(identifier);
    }
    static setMainInstance(identifier) {
        j.t().setMainInstance(identifier);
    }
    static removeInstance(identifier) {
        j.t().removeInstance(identifier);
    }
    static getAllInstance() {
        return j.t().getAllInstance();
    }
}
